:root {
  box-sizing: border-box;
}

html {
  background-color: oklch(26.86% 0 0deg);
  color: oklch(97.84% 0.1244 108.5deg);
  font-family: sans-serif;
}

body {
  display: grid;
  grid-template-columns: auto 1fr;
  grid-template-rows: auto 1fr;
}

a {
  color: white;
}

strong {
  color: oklch(87.84% 0.1744 108.5deg);
}

.logo {
  background-color: oklch(97.84% 0.1244 108.5deg);
  color: black;
  grid-column: 1;
  grid-row: 1/3;
  z-index: 1;
  background-image: url("/img/logo-sas.jpg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  min-width: 8em;
}

header {
  background-color: oklch(97.84% 0.1244 108.5deg);
  color: black;
  display: flex;
}
header .welcome {
  margin-left: 1em;
  flex-grow: 1;
}
header .links {
  margin: 1em;
  flex-shrink: 2;
}
header .links img {
  max-height: 3rem;
}

nav {
  background-color: oklch(97.84% 0.1244 108.5deg);
  color: black;
  position: sticky;
  grid-row: 2;
  grid-column: 1/3;
  top: 0;
}
nav ul {
  margin: 0;
  justify-content: center;
  display: flex;
  list-style-type: none;
}
nav li {
  padding: 0.3rem;
  margin: 0.1rem;
  background-color: black;
  border-radius: 0.2rem;
  transition: box-shadow 0.5s;
}
nav li.selected, nav li:hover {
  box-shadow: inset 0 0.2em red;
}
nav a {
  color: oklch(97.84% 0.1244 108.5deg);
  text-decoration: none;
}

main {
  grid-column: 1/3;
}
main div {
  margin: 0 auto;
}

.text {
  max-inline-size: 80ch;
}

.termine {
  display: flex;
  flex-wrap: wrap;
  max-inline-size: 56rem;
}
.termine > div {
  box-shadow: inset 0 0.5rem oklch(97.84% 0.1244 108.5deg);
  border-radius: 0.5rem;
  margin: 1rem;
  padding: 0.5rem;
  background-color: black;
}
.termine h1 {
  font-size: 1.25rem;
  font-weight: bold;
}
.termine h2 {
  font-size: 1rem;
  font-weight: normal;
}
.termine table {
  border-collapse: collapse;
}
.termine td {
  border: 1px solid oklch(97.84% 0.1244 108.5deg);
  padding-inline: 0.5em;
}

.mitglieder {
  display: flex;
  flex-wrap: wrap;
  max-inline-size: 56rem;
}
.mitglieder div {
  margin: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 12rem;
}
.mitglieder img {
  width: 10rem;
}
.mitglieder h1 {
  font-size: 1rem;
}
.mitglieder p {
  margin: 0;
}